{% extends 'admin/adminbase.html.twig' %}
{% import "macros/datatable.html.twig" as dt %}
{% import "macros/genLoading.html.twig" as ld %}

{% block body %}
    <div class="card-genossys">
        <h5>Konfirmasi Pembayaran Les Detail</h5>
        <div class="pb-5">

        </div>
        <div class="row">
            <div class="col-md-6 col-sm-12">
                <div class="card-genossys">
                    <h5>Detail Pembayaran</h5>

                    <table>
                        <tr>
                            <td>Total Pembayaran</td>
                            <td>:</td>
                            <td>Rp. {{ payment[0].amount | number_format(0,',','.') }}</td>
                        </tr>
                        <tr>
                            <td>Bank Tujuan</td>
                            <td>:</td>
                            <td>{{ payment[0].getBank.getBank.name ?? '' }}</td>
                        </tr>
                        <tr>
                            <td>Atas Nama</td>
                            <td>:</td>
                            <td>{{ payment[0].getBank.holderName ?? '' }}</td>
                        </tr>
                        <tr>
                            <td>Nomor Rekening</td>
                            <td>:</td>
                            <td>{{ payment[0].getBank.number ?? '' }}</td>
                        </tr>
                        <tr>
                            <td>Status</td>
                            <td>:</td>
                            <td>{{ getStatus }}</td>
                        </tr>
                    </table>

                    <div id="btn_konfirm">

                    </div>
                </div>
            </div>
            <div class="col-md-6 col-sm-12">
                <div class="card-genossys">
                    <h5>Detail Siswa</h5>
                    <table>
                        <tr>
                            <td>Nama Siswa</td>
                            <td>:</td>
                            <td>{{ payment[0].getUser.getMemberProfile.fullName }}</td>
                        </tr>
                        <tr>
                            <td>Kelas</td>
                            <td>:</td>
                            <td>{{ payment[0].getUser.getMemberProfile.getClass.name }}</td>
                        </tr>
                        <tr>
                            <td>Jenjang</td>
                            <td>:</td>
                            <td>{{ payment[0].getUser.getMemberProfile.getClass.getMemberClassParent.name }}</td>
                        </tr>
                        <tr>
                            <td>Nomor Rekening</td>
                            <td>:</td>
                            <td>{{ payment[0].confirmationInfo['accountNumber'] ?? '' }}</td>
                        </tr>
                        <tr>
                            <td>Atas Nama</td>
                            <td>:</td>
                            <td>{{ payment[0].confirmationInfo['accountHolder'] ?? '' }}</td>
                        </tr>
                    </table>

                </div>
            </div>
        </div>
        {{ dt.datatable }}
    </div>

    <div class="modal fade" id="modal" tabindex="-1" role="dialog" aria-labelledby="exampleModalCenterTitle" aria-hidden="true">
        <div class="modal-dialog modal-lg modal-dialog-centered" role="document">
            <div class="modal-content">
                <form id="formAlasan" method="post" onsubmit="return tolak('0')">

                    <div class="modal-header">
                        <h5 class="modal-title" id="exampleModalLongTitle">Masukkan Alasan Menolak</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <div class="form-group">
                            <div class="form-check form-check-inline">
                                <input class="form-check-input alasan" type="radio" name="inlineRadioOptions"  id="alasan1"  value="Total pembayaran tidak sesuai, kekurangan :">
                                <label class="form-check-label" for="alasan1">Total pembayaran tidak sesuai, kekurangan :</label>
                            </div>
                            <input type="text" class="form-control" id="alasan1Text" placeholder="" disabled  style="width: 200px">

                        </div>
                        <div class="form-group">
                            <div class="form-check form-check-inline">
                                <input class="form-check-input alasan" type="radio" name="inlineRadioOptions" id="alasan2" value="2">
                                <label class="form-check-label" for="alasan2">Alasan Lain :</label>
                            </div>
                            <input type="text" class="form-control"  disabled id="alasan2Text">

                        </div>


                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                        <button type="submit" class="btn btn-danger" id="btn-tolak" onclick="">Tolak Pembayaran</button>
                    </div>

                </form>
            </div>
        </div>
    </div>


    {{ ld.modal_loading() }}
{% endblock %}
{% block javascripts %}
    <script src="{{ asset('etc/js/currency.js') }}"></script>

    <script>

        $(document).ready(function () {
            currency('alasan1Text');
            getCodeBankAccount('databank');
            // $('#alasan1').attr('checked','');
            console.log('status pasid {{ payment[0].isPaid }}');
            $('#btn-tolak').attr('disabled','');
            $('#databank').select2();
            if ('{{ getStatus }}' === 'Menunggu Konfirmasi') {
                $('#btn_konfirm').empty().append("<a class='btn btn-success m-1' onclick='cekData(1)'>Terima Pembayaran</a>")
                    .append("<a class='btn btn-danger m-1' onclick='cekData(0)'>Tolak Pembayaran</a>");
            }

            $('.alasan').change(function (e) {
                if($(this).prop('checked') === true ){
                    console.log($(this).prop('id'));
                    if($(this).prop('id') === 'alasan1'){
                        console.log('#'+$(this).prop('id')+'Text');
                        $('#alasan1Text').removeAttr('disabled').attr('required','');
                    }else{
                        $('#alasan1Text').attr('disabled','').val('').removeAttr('required');

                    }

                    if($(this).prop('id') === 'alasan2'){
                        $('#alasan2Text').removeAttr('disabled').attr('required','');
                    }else{
                        $('#alasan2Text').attr('disabled','').val('').removeAttr('required');
                    }
                    $('#btn-tolak').removeAttr('disabled');

                }
            });
        });



        function cekData(a) {
            let data1 = {
                'id': '{{ payment[0].id }}',
                'status': a
            };
            var text = 'Apakah anda yakin akan menolak pembayaran ?';
            if ('{{ getStatus }}' === 'Menunggu Konfirmasi') {
                if (a === 1) {
                    text = 'Apakah anda yakin akan menerima pembayaran ?';
                }

                alertify.confirm('Info', text, function () {
                    // $('#loading').modal();
                    if(a === 1){
                        $.post('/admin/konfirmasi-pembayaran/detail', data1, function (data) {
                            if (data['code'] === 200) {
                                console.log(data);
                                window.location.reload();
                            }
                        })
                    }else {
                        $('#modal').modal();
                    }
                }, function () {
                })
            } else {
                alertify.alert('Warning', 'Proses tidak dapat dilakukan', function () {
                });
            }
            return false;
        }

        function tolak(a) {
            var alasan, text;
            if($('#alasan1').prop('checked') === true ){
              alasan = $('#alasan1').val();
              text = alasan+' Rp. '+$('#alasan1Text').val();
            }else{
                text = $('#alasan2Text').val();
            }

            let data1 = {
                'id': '{{ payment[0].id }}',
                'status': a,
                'text':text
            };
            console.log(data1);

            $.post('/admin/konfirmasi-pembayaran/detail', data1, function (data) {
                if (data['code'] === 200) {
                    window.location.reload();
                }
            });

            return false;
        }

    </script>
    {{ dt.datatableJS(classPaymentDetail, space, tableAction, tableFieldsDetail ,whereDetailPayment,groupBy, null, null) }}
{% endblock %}